#!/bin/bash

clear

uname=$(logname || loginctl user-status|awk 'NR==1{print $1}' || who | awk '{ print $1 }' | head -n 1)
case $uname in
    "root")
        homedir="/${uname}"
        ;;

    *)
        homedir="/home/${uname}"
        ;;
esac

install_log="${homedir}/nmagent_install.log"

echo "Запуск процесса установки продукта..." &> $install_log

# получаем текущий каталог запуска скрипта
script_dir=$(cd "$(dirname "${BASH_SOURCE[0]}")" &>/dev/null && pwd -P)

os_version=$(lsb_release -r | awk '{ print $2 }')
echo "Версия ОС ($os_version)" &>> $install_log

package_name=`basename $(find $script_dir -type f -name 10-strike-nmagent*.rpm)`
echo "Запуск установки пакета $package_name" &>> $install_log
sudo dnf install $script_dir/10-strike-nmagent*.rpm
if [[ $? -ne 0 ]]
then
    echo "Не удалось установить пакет 10-strike-nmagent или операция прервана пользователем" &>> $install_log
    exit 1
fi
echo "Установка пакета 10-strike-nmagent завершена" &>> $install_log

echo "УСТАНОВКА ПРОДУКТА ЗАВЕРШЕНА!" &>> $install_log

exit 0
